Package org.codehaus.janino.util

# Class ClassFile.ConstantMethodrefInfo

java.lang.Object
org.codehaus.janino.util.ClassFile.ConstantPoolInfo
org.codehaus.janino.util.ClassFile.ConstantMethodrefInfo

Enclosing class:
  `ClassFile`

public static class ClassFile.ConstantMethodrefInfo extends ClassFile.ConstantPoolInfo
See JVMS7 4.4.2.

## Constructor Summary

Constructors
Constructor
Description
`ConstantMethodrefInfo(short classIndex, short nameAndTypeIndex)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`ClassFile.ConstantClassInfo`
`getClassInfo(ClassFile classFile)`
`ClassFile.ConstantNameAndTypeInfo`
`getNameAndType(ClassFile classFile)`
`int`
`hashCode()`
`boolean`
`isWide()`
`void`
`store(DataOutputStream dos)`
Stores this CP entry into a `DataOutputStream`.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConstantMethodrefInfo

public ConstantMethodrefInfo(short classIndex, short nameAndTypeIndex)

## Method Details

### getClassInfo

public ClassFile.ConstantClassInfo getClassInfo(ClassFile classFile)

Returns:
  The `ClassFile.ConstantClassInfo` of this `ClassFile.ConstantMethodrefInfo`

### getNameAndType

public ClassFile.ConstantNameAndTypeInfo getNameAndType(ClassFile classFile)

Returns:
  The `ClassFile.ConstantNameAndTypeInfo` of this `ClassFile.ConstantMethodrefInfo`

### isWide

public boolean isWide()

Specified by:
  `isWide` in class `ClassFile.ConstantPoolInfo`
Returns:
  Whether this CP entry is "wide" in the sense of JVMS7 4.4.5

### store

public void store(DataOutputStream dos) throws IOException
Description copied from class: `ClassFile.ConstantPoolInfo`
Stores this CP entry into a `DataOutputStream`.

See JVMS7 4.4.1 and following.

Specified by:
  `store` in class `ClassFile.ConstantPoolInfo`
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(@Nullable Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`